summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-config/xconfig.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2011-10-21 21:22:38 (GMT)
committerJames Meyer <james.meyer@operamail.com>2011-10-21 21:22:38 (GMT)
commit9eef516e0aeb596daff3c8911055c5a2a8f4e143 (patch)
tree25164c49940a978e18d1d4c4fcad2bb2c9f517b0 /abs/core/LinHES-config/xconfig.sh
parente68afef00820a4fd7bab67bf5b36916e6ca89a92 (diff)
downloadlinhes_pkgbuild-9eef516e0aeb596daff3c8911055c5a2a8f4e143.zip
linhes_pkgbuild-9eef516e0aeb596daff3c8911055c5a2a8f4e143.tar.gz
linhes_pkgbuild-9eef516e0aeb596daff3c8911055c5a2a8f4e143.tar.bz2
xconfig.sh: check for Xorg configuration status in /etc/mythvantage.cfg
Diffstat (limited to 'abs/core/LinHES-config/xconfig.sh')
-rwxr-xr-xabs/core/LinHES-config/xconfig.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/abs/core/LinHES-config/xconfig.sh b/abs/core/LinHES-config/xconfig.sh
index cf31ef8..4237fcc 100755
--- a/abs/core/LinHES-config/xconfig.sh
+++ b/abs/core/LinHES-config/xconfig.sh
@@ -362,6 +362,16 @@ function setupX {
}
#MAIN
+
+
+LINE=`grep -i xorg /etc/mythvantage.cfg|grep -q False`
+rc=$?
+if [ $rc = 0 ]
+then
+ echo "xorg configuration disabled in /etc/mythvantage.cfg"
+ exit 0
+fi
+
TESTMODE="$1"
if [ "$TESTMODE" = "test" ]
then